

<!-- BEGIN: Content-->
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper container-xxl p-0">
        <div class="content-header row">
        </div>
        <div class="content-body">
            <section *ngIf="isLoading; else notLoadingBlock">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex justify-content-center">
                                    <div class="spinner-border text-primary" role="status">
                            
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div> 
            </section>
            <ng-template #notLoadingBlock>
                <section>
                    <div class="row">
                        <div class="col-12">
                            
                            
                            <div class="card mt-3">
                                <div class="card-header">
                                    <h4 class="card-title">
                                        Progression
                                    </h4>
                                </div>
                                <div class="card-body">
                                   <div class="row mt-3">
                                        <div class="col-12">
                                            <h5>Progression</h5>
                                            <div class="progress mb-3">
                                                <div class="progress-bar progress-bar-striped bg-primary" role="progressbar" [style.width]="project.progression+'%'" aria-valuenow="globalProgression" aria-valuemin="0" aria-valuemax="100">{{project.progression| number: '1.0-0'}} %</div>
                                            </div>
                                            <p><b>Date de livraison: </b>{{project.dateLivraison ? (project.dateLivraison | date : 'dd/MM/yyyy') : '--/--/--' }}</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                
                <div class="mt-2 card progression-wrapper" cdkDropListGroup>
        
                    <div class="example-container">
                    <h2>A faire</h2>
                
                    <div
                        cdkDropList
                        [cdkDropListData]="project.todos.todo"
                        class="example-list"
                        (cdkDropListDropped)="drop($event, 'todo')">
                        <div class="example-box" *ngFor="let item of project.todos.todo" cdkDrag (click)="showModal(item._id)">
                            <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                            </div>
                            <div class="example-box-content">
                                <p>
                                    <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                    <br>
                                    <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                </p>
                            </div>
                        </div>
                    </div>
                    </div>
                
                    <div class="example-container">
                    <h2>En cours</h2>
                
                    <div
                        cdkDropList
                        [cdkDropListData]="project.todos.inProgress"
                        class="example-list"
                        (cdkDropListDropped)="drop($event, 'inProgress')">
                        <div class="example-box" *ngFor="let item of project.todos.inProgress" cdkDrag (click)="showModal(item._id)">
                            <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                            </div>
                            <div class="example-box-content">
                                <p>
                                    <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                    <br>
                                    <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                </p>
                                <div class="mt-1" *ngIf="!item.isLoading">
                                    <label for="formRange1" class="form-label">Progression (%)</label>
                                    <input class="form-control" type="number" id="progression" [(ngModel)]="item.progression" />
                                    <br />
                                    <app-gen-button [text]="'Modifier'"  [isLoading]="item.isValueUpdateLoading" (click)="updateProgressionValue(item)"></app-gen-button>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                
                    <div class="example-container">
                    <h2>Terminée</h2>
                
                    <div
                        cdkDropList
                        [cdkDropListData]="project.todos.finished"
                        class="example-list"
                        (cdkDropListDropped)="drop($event, 'finished')">
                        <div class="example-box" *ngFor="let item of project.todos.finished" cdkDrag (click)="showModal(item._id)" >
                            <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                            </div>
                            <div class="example-box-content">
                                <p>
                                    <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                    <br>
                                    <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                </p>
                            </div>
                        </div>
                    </div>
                    </div>
                    <div class="example-container">
                        <h2>Validée</h2>
                    
                        <div
                            cdkDropList
                            [cdkDropListData]="project.todos.validated"
                            class="example-list"
                            (cdkDropListDropped)="drop($event, 'validated')">
                            <div class="example-box" *ngFor="let item of project.todos.validated" cdkDrag (click)="showModal(item._id)">
                                <div class="example-box-header" *ngIf="item.apercu!=null && item.apercu.length!=0">
                                    <img [src]="getFileUrl(item.apercu[0].chemin)" alt="Apercu" loading="lazy">
                                </div>
                                <div class="example-box-content">
                                    <p>
                                        <span class="text-capitalize">{{item.name}}</span> : {{item.description==null ? 'Aucune description' : item.description}}
                                        <br>
                                        <b>Date de livraison: </b>{{item.dateLivraison ? (item.dateLivraison | date: 'dd/MM/yyyy') : '--/--/--'}}
                                    </p>
                                </div>
                            </div>
                        </div>
                        </div>
                </div>
                <app-todo-modal *ngIf="todoIdSelected" [(isVisible)]="isTodoModalVisible" [todoId]="todoIdSelected" (todoUdpated)="onTodoUdpated($event)"></app-todo-modal>
            </ng-template>    
        </div>
    </div>
</div>
<!-- END: Content-->

<!-- Car creation modal -->


<!-- Car update modal-->

